import { Vec2 } from "cc";
import GBaseMode from "../GBaseMode";
import GRoleBase from "../base/role/GRoleBase";
import { Camera } from "cc";

export interface GModeHitInfo{
    mode:GBaseMode<{},{}>,  //模式
    role:GRoleBase<{}>,     //宠物
    hit:number,             //受击
    world:Vec2,             //世界坐标
    camera:Camera,          //相机
}

export enum GModeEvent{
    //受击通知
    HIT = "ModeRenderEvent_HIT"
}