export interface GUIChatMessage{
    message:string;
}
export interface GUIChatMessageDTO{
    message:GUIChatMessage;
    playerName:string;
    playerId:number;
}

export enum GActionType {

    GUIChatMessage = "GUIChatMessage",//聊天信息发送
    GUIChatMessageDTO = "GUIChatMessageDTO",//聊天信息接受

    /*************** 游戏模式 : 无尽模式(OnHook) **************/
    GOnHookPet = "GOnHookPet",          //野怪
    GOnHookPets = "GOnHookPets",        //野怪列表

    /*************** 游戏模式 : PVP **************/
    GPVPStart = "GPVPStart",            //PVP 开始
    GPVPText = "GPVPText",            //PVP 提示

    /*************** 裁决 ********************/
    GPVPRefereeInfo = "GPVPRefereeInfo"     //PVP 裁决信息

}