import { _decorator, Component, Node } from 'cc';
import { GAttribute } from '../../../../consts/entity/EntityData';
import JNScrollViewItem from '../../../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollViewItem';
import { Label } from 'cc';
import { TD } from '../../../../App';
const { ccclass, property } = _decorator;

@ccclass('PetEquipAttributeItem')
export class PetEquipAttributeItem extends JNScrollViewItem<GAttribute> {

    //名称
    @property(Label)
    attributeName:Label;

    //值
    @property(Label)
    attributeValue:Label;

    onInit(){

        this.attributeName.string = TD.TbGAttribute.get(this.data.id).name+":";
        this.attributeValue.string = `${this.data.value}`;

    }
}


