import { _decorator, Component, Node } from 'cc';
import JNScrollViewItem from '../../../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollViewItem';
import { PetEquipIcon } from './PetEquipIcon';
import { PetEquip } from '../../../../consts/API';
const { ccclass, property } = _decorator;

@ccclass('PetEquipIconScroll')
export class PetEquipIconScroll extends JNScrollViewItem<PetEquip> {

    @property(PetEquipIcon)
    equip:PetEquipIcon;

    protected start(): void {
        this.equip.set(this.data);
    }
}


