import { _decorator, Component, Node } from 'cc';
import { ResourceIcon } from '../ResourceIcon';
import ResourceData from '../../../../data/ResourceData';
const { ccclass, property } = _decorator;

@ccclass('PlayerResourceIcon')
export class PlayerResourceIcon extends Component {

    @property(ResourceIcon)
    icon:ResourceIcon;

    //设置 ( 资源Id )
    set(id:number){
        this.icon.set(id,ResourceData.getIns().getValue(id))
    }

}


