import { _decorator, Component, Node } from 'cc';
import { JNGLayerBase } from '../../components/JNComponent';
import { TD } from '../../App';
import JNScrollView from '../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollView';
const { ccclass, property } = _decorator;

@ccclass('DungeonView')
export class DungeonView extends JNGLayerBase {

    @property(JNScrollView)
    views:JNScrollView

    onJNLoad(data?: any): void {
        super.onJNLoad(data);
        this.onUpdateView();
    }

    onUpdateView(){

        //显示全部副本
        this.views.refreshData(TD.TbGSysDungeon.getDataList());

    }

}


