import { _decorator, Component, Node } from 'cc';
import JNScrollViewItem from '../../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollViewItem';
import { GOnHookPet } from '../../../../../extensions/ngame/assets/ngame/message/proto';
import { PetIcon } from '../../Consts/Pet/PetIcon';
import { PetIconSelect } from '../../Consts/Pet/PetIconSelect';
import { TablePetIconSelect } from '../../Consts/Pet/table/TablePetIconSelect';
import { TD } from '../../../App';
const { ccclass, property } = _decorator;

@ccclass('MainSreepsIcon')
export class MainSreepsIcon extends JNScrollViewItem<GOnHookPet> {

    @property(TablePetIconSelect)
    icon:TablePetIconSelect;

    start(){
        this.icon.set(TD.TbGRole.get(this.data.petTbId));
    }

}


