import { _decorator, Component, Node } from 'cc';
import JNLayerBase from '../../../../extensions/ngame/assets/ngame/ui/base/JNLayerBase';
import JNScrollView from '../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollView';
import ResourceData from '../../data/ResourceData';
const { ccclass, property } = _decorator;

//背包页面
@ccclass('PacksackView')
export class PacksackView extends JNLayerBase {

    //背包
    @property(JNScrollView)
    views:JNScrollView;

    onJNLoad(data?: any): void {
        super.onJNLoad(data);
        this.onUpdateView();
    }

    //更新页面
    onUpdateView(){

        this.views.refreshData(ResourceData.getIns().getIds());
        
    }

}


