package cn.jisol.ngame.frame.network.client;

import cn.jisol.ngame.client.QueueNClient;

import javax.websocket.Session;
import java.io.IOException;

public class GClient extends QueueNClient {

    public Session session;

    public GClient(Session session){
        super(session.getId());
        this.session = session;
    }

    @Override
    protected void onMessage(byte[] bytes) {
        if (session.isOpen()){
            try {
                session.getBasicRemote().sendObject(bytes);
            } catch (Exception ignored) {}
        }
    }

    @Override
    protected void onClose() {
        if (session.isOpen()){
            try {
                session.close();
            } catch (IOException ignored) {}
        }
    }

    @Override
    public boolean isOpen() {
        return session.isOpen();
    }
}
