package cn.jisol.game;

import cn.jisol.ngame.util.spring.SpringBeanUtils;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.retry.annotation.EnableRetry;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableRetry
@MapperScan(basePackages = "cn.jisol.game.mapper")
@SpringBootApplication
@EnableScheduling
public class JGameApplication {
    public static void main(String[] args) {
        SpringBeanUtils.context = SpringApplication.run(JGameApplication.class);
    }
}
