package cn.jisol.game.entity.data;

import cfg.TbGEntity.TResource;
import cfg.TbGEntity.TReward;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Builder
public class GResource {
    /**
     * 资源Id
     */
    private Integer id;
    /**
     * 资源数量
     */
    private Integer value;

    public static GResource toBuild(TResource reward){
        return GResource.builder()
                .id(reward.id)
                .value(reward.value)
                .build();
    }
}
