package cn.jisol.game.entity.data;

import cfg.TbGEntity.TReward;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Builder
public class GReward {
    /**
     * 奖励类型
     */
    private Integer type;
    /**
     * 奖励Id
     */
    private Integer id;
    /**
     * 奖励数量
     */
    private Integer value;

    public static GReward toBuild(TReward reward){
        return GReward.builder()
                .id(reward.id)
                .type(reward.type)
                .value(reward.value)
                .build();
    }


}
