import { _decorator } from "cc";
import { GFSMAnimBase } from "../../fsm/GFSMAnimBase";
import GFSMBase from "../../fsm/GFSMBase";
import GRoleBase from "../GRoleBase";
import { ProgressBar } from "cc";
import { TB } from "../../../../config/data/schema";
import { v3 } from "cc";
import GFSMCampGuardianAnim from "../../fsm/CampGuardian/GFSMCampGuardianAnim";
const { property,ccclass } = _decorator;

//阵营守护 水晶
@ccclass('GRoleCGCrystal')
export default class GRoleCGCrystal extends GRoleBase<{}>{
    
    @property(ProgressBar)
    bloodVolume:ProgressBar;

    init(role:TB.TbGRole){
        super.init(role)
        this.node.scale = v3(2,2,2);
    }
    
    protected fsmCreate(): GFSMBase {
        return new GFSMBase();
    }
    protected fsmAnimCreate(): GFSMAnimBase {
        return new GFSMCampGuardianAnim(this.spine);
    }

}


