import { _decorator, Component, Node } from 'cc';
import { PetEquip } from '../../../../consts/API';
import JNScrollView from '../../../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollView';
const { ccclass, property } = _decorator;

@ccclass('PetEquipAttributeView')
export class PetEquipAttributeView extends Component {

    //基础属性
    @property(JNScrollView)
    baseView:JNScrollView;

    //高级属性
    @property(JNScrollView)
    highView:JNScrollView;

    info:PetEquip;

    set(info:PetEquip){
        this.info = info;
        this.onUpdateView();
    }

    onUpdateView(){

        this.baseView.refreshData(this.info.equipBaseAttributes);
        this.highView.refreshData(this.info.equipHighAttributes);

    }

}


