import { _decorator, Component, Node } from 'cc';
import JNScrollViewItem from '../../../../../extensions/ngame/assets/ngame/util/components/scrollview/JNScrollViewItem';
import { TbGEntity } from '../../../config/data/schema';
import { RewardIcon } from './RewardIcon';
const { ccclass, property } = _decorator;

@ccclass('RewardIconScroll')
export class RewardIconScroll extends JNScrollViewItem<TbGEntity.TReward> {

    @property(RewardIcon)
    icon:RewardIcon;

    onInit(data:TbGEntity.TReward){

        this.icon.set(data);

    }
}


