package cn.jisol.game.controller.game;

import cn.jisol.game.controller.argsresolver.CurrentPlayer;
import cn.jisol.game.entity.table.Player;
import cn.jisol.game.entity.table.PlayerPet;
import cn.jisol.game.entity.table.Resource;
import cn.jisol.game.service.ResourceService;
import cn.jisol.game.vo.news.NewsResource;
import cn.jisol.game.vo.news.ov.ResourceUpdateOV;
import cn.jisol.ngame.util.NewsContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;

@Api(value = "JNGameDemo - API", tags = {"Debugger - API"})
@RestController
@RequestMapping("/debugger")
@ResponseBody
public class GDebuggerController {

    @Autowired
    ResourceService resourceService;

    //添加指定资源
    @ApiImplicitParams({})
    @ApiOperation(value = "添加指定资源")
    @PostMapping("/add/resource/{type}/{value}")
    public NewsResource<Boolean> addResource(@PathVariable Integer type, @PathVariable long value, @CurrentPlayer Player player){
        return NewsResource.onSuccess("添加成功",true,ResourceUpdateOV.onUpdate(resourceService.addResourceValue(player.getPlayerId(), type, value)));
    }

}
