package cn.jisol.game.table;


import cfg.TbGEntity.TOnHookLevel;

import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;


//游戏中使用的 TbGOnHookMaps 类
public class GTbGOnHookLevels {

    //TbGOnHookMaps 表数据
    Object data;

    public GTbGOnHookLevels(Object data){
        this.data = data;
    }

    public static class GTbGOnHookLevel{

        //TbGOnHookMap 表数据
        Object data;

        GTbGOnHookLevel(Object data){
            this.data = data;
        }

        public int getId(){
            return TableUtil.getTableId(this.data);
        }

        public TOnHookLevel getData(){
            try {
                Field dataField = data.getClass().getField("data");
                return (TOnHookLevel)dataField.get(data);
            } catch (NoSuchFieldException | IllegalAccessException e) {
                e.printStackTrace();
                return null;
            }
        }

    }

    //通过Id获取关卡
    public GTbGOnHookLevel get(int key){
        Object data = TableUtil.getId(this.data,key);
        if(Objects.isNull(data)) return null;
        return new GTbGOnHookLevel(data);
    }

    //获取全部关卡
    public List<GTbGOnHookLevel> getDataList(){

        Object data = TableUtil.getDataList(this.data);
        if(Objects.isNull(data) || !(data instanceof ArrayList)){
            return null;
        }
        return (List<GTbGOnHookLevel>) ((ArrayList)data).stream().map((Object i) -> new GTbGOnHookLevel(i)).collect(Collectors.toList());

    }

}
