package cn.jisol.game.util;

import cn.hutool.core.util.RandomUtil;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.IntStream;

public class GRandomUtil {

    //随机数值中任意一个对象
    public static <T> T randomArray(List<T> list){
        return list.get(RandomUtil.randomInt(0, list.size()));
    }

    //概率随机 (通过概率 返回 中奖下标)
    public static int odds(int[] odds){

        int sum = IntStream.of(odds).sum();
        int random = RandomUtil.randomInt(0, sum);

        for (int i = 0; i < odds.length; i++) {
            if((random-=odds[i]) <= 0) return i;
        }
        return odds.length - 1;

    }

}
