package cn.jisol.game.vo.pet.equip;

import cn.hutool.json.JSONUtil;
import cn.jisol.game.entity.table.EquipForgingBench;

import java.util.Date;

public class EquipForgingBenchOV extends EquipForgingBench {

    //获取当前品质等级
    public Integer getCurrentForgingQuality() {
        if(this.getForgingUpTimeExcess() > 0){
            return super.getForgingQuality() - 1;
        }else{
            return super.getForgingQuality();
        }
    }

    //获取升级剩余时间
    public Long getForgingUpTimeExcess(){
        return Math.max(this.getForgingUpTime() - (new Date()).getTime(),0);
    }

    public static EquipForgingBenchOV create(EquipForgingBench info){
        return JSONUtil.toBean(JSONUtil.toJsonStr(info),EquipForgingBenchOV.class);
    }

}
